Generate API key for Whitelabel User
curl --request PATCH \
--url https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}/api-key \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}/api-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Generated API key of the whitelabel user successfully",
"data": {
"userId": "401577831134278614",
"userEmail": "test@gmail.com",
"apiKey": "7f488a50-8a5a-9e34-9a04-1dad5bd548c3"
}
}{
"success": false,
"message": "Failed to generate API key of the whitelabel user",
"data": null,
"error": {
"code": "REQUEST_VALIDATION_FAILED",
"message": "Request body is not valid",
"details": [
{
"path": [
"brandId"
],
"message": "Required"
}
]
}
}{
"success": false,
"message": "Failed to generate API key of the whitelabel user",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to generate API key of the whitelabel user",
"data": null,
"error": {
"code": "GENERATE_API_KEY_FORBIDDEN",
"message": "You are not authorized to generate API key of the whitelabel user"
}
}{
"success": false,
"message": "Failed to generate API key of the whitelabel user",
"data": null,
"error": {
"code": "GENERATE_API_KEY_USER_NOT_FOUND",
"message": "Whitelabel user not found"
}
}{
"success": false,
"message": "Failed to generate API key of the whitelabel user",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "POST request method is not allowed"
}
}{
"success": false,
"message": "Failed to generate API key of the whitelabel user",
"data": null,
"error": {
"code": "GENERATE_API_KEY_FAILED",
"message": "Some technical error has occurred !!"
}
}Whitelabel (Deprecated)
Generate API key for Whitelabel User
deprecated
Generate API key for a user of your whitelabel brand.
Pre-requisities:
- You have to be a whitelabel customer in SiteGPT.
- You need to create and configure your own brand in SiteGPT dashboard.
PATCH
/
v0
/
w
/
brands
/
{brandId}
/
users
/
{userId}
/
api-key
Generate API key for Whitelabel User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the whitelabel brand
Id of the whitelabel user
Was this page helpful?
⌘I